=== debian/changelog ===
kdenlive (0.8-4build1) oneiric; urgency=low

  * No change rebuild for mlt transition

 -- Scott Kitterman <scott@kitterman.com>  Sun, 21 Aug 2011 00:14:09 -0400

kdenlive (0.8-4) unstable; urgency=low

  * Allow build on kFreeBSD by adding option NO_JOGSHUTTLE.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 29 May 2011 10:33:27 +0200

kdenlive (0.8-3) unstable; urgency=low

  * Bump mlt build dependencies to >= 0.7.
    Closes: #626275

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 14 May 2011 14:06:27 +0200

kdenlive (0.8-2) unstable; urgency=low

  * Build with hardening-wrapper.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 30 Apr 2011 16:20:50 +0200

kdenlive (0.8-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.2 (no changes needed).
  * Fix lintian warning description-synopsis-starts-with-article.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 27 Apr 2011 21:33:17 +0200

kdenlive (0.7.8+svn5529-1) unstable; urgency=low

  * New upstream svn snapshot.
    - Importing RAW DV files should be fixed.
      Closes: #615606
    - Add new build dependency libqt4-opengl-dev and libqjson-dev.
  * Rebuild against mlt 0.7.0.
    Closes: #620340
  * Wrap build dependencies.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 01 Apr 2011 21:05:53 +0200

kdenlive (0.7.8-3) unstable; urgency=low

  * Rebuild against mlt 0.6.2.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 20 Feb 2011 11:27:36 +0100
