## kdenlive 0.8.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,26 +1,28 @@
 project(kdenlive)
 
-set(BASE_VERSION 0.8)
-set(LIBMLT_REQUIRED_VERSION 0.7)
+set(BASE_VERSION 0.8.2)
+set(LIBMLT_REQUIRED_VERSION 0.7.6)
 
 option(RELEASE_BUILD "Remove compilation date from program version (use for stable releases)" ON)
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)
 
 # Search packages used by KDE.
 find_package(KDE4 REQUIRED)
-set(CMAKE_C_FLAGS " --std=c99") # To compile kiss_fft
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} --std=c99") # To compile kiss_fft
 include(KDE4Defaults)
 include(MacroLibrary)
 include(FindGettext)
 include(MacroOptionalAddSubdirectory)
 set(catalogname kdenlive)
-find_package(Qt COMPONENTS QtOpenGL)
+
+find_package(Qt4 COMPONENTS QtCore QtGui QtOpenGL QtScript REQUIRED)
 if ( NOT QT_QTOPENGL_FOUND )
   message(FATAL_ERROR "QtOpenGL (most likely called libqt4-opengl-dev) not found.")
 else ( NOT QT_QTOPENGL_FOUND )
   message(-- " Found QtOpenGL.")
 endif ( NOT QT_QTOPENGL_FOUND )
-find_library(Qt COMPONENTS QtOpenGL REQUIRED)
+find_library(Qt COMPONENTS QtOpenGL QtScript REQUIRED)
+
 add_definitions(${QT_DEFINITIONS})
 
 # Search MLT package.
@@ -67,6 +69,7 @@
 add_subdirectory(titles)
 add_subdirectory(po)
 add_subdirectory(man)
+add_subdirectory(doc)
 
 configure_file(${CMAKE_SOURCE_DIR}/kdenlive-config.h.cmake kdenlive-config.h @ONLY)
