=== debian/changelog ===
kdenlive (0.8.2-1) unstable; urgency=low

  * New upstream release.
  * Remove broken symlinks from documentation.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 03 Nov 2011 11:17:39 +0100

kdenlive (0.8+svn5945-1) unstable; urgency=low

  * New upstream svn snapshot.
    - Fixed MLT 0.7.4 incompatibility.
      Closes: #636933
    - Also install new documentations.
  * Add missing makefile targets build-arch and build-indep.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 06 Oct 2011 13:36:21 +0200
