## kdenlive 0.8.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(kdenlive)
 
-set(BASE_VERSION 0.8.2)
+set(BASE_VERSION 0.8.2.1)
 set(LIBMLT_REQUIRED_VERSION 0.7.6)
 
 option(RELEASE_BUILD "Remove compilation date from program version (use for stable releases)" ON)
