=== doc/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kdenlive)

ADD_SUBDIRECTORY(da)
ADD_SUBDIRECTORY(fr)
ADD_SUBDIRECTORY(uk)
ADD_SUBDIRECTORY(nl)
