=== effects/CMakeLists.txt ===
--- 
+++ 
@@ -15,17 +15,6 @@
 grain.xml
 greyscale.xml
 invert.xml
-ladspa_declipper.xml
-ladspa_equalizer.xml
-ladspa_equalizer_15.xml
-ladspa_limiter.xml
-ladspa_phaser.xml
-ladspa_pitch_scale.xml
-ladspa_pitch.xml
-ladspa_rate_scale.xml
-ladspa_reverb.xml
-ladspa_room_reverb.xml
-ladspa_vinyl.xml
 mirror.xml
 mute.xml
 normalise.xml
@@ -102,6 +91,7 @@
 frei0r_twolay0r.xml
 frei0r_vectorscope.xml
 frei0r_vertigo.xml
+frei0r_vignette.xml
 frei0r_facebl0r.xml
 frei0r_facedetect.xml
 gain.xml
@@ -116,3 +106,5 @@
 rotoscoping.xml
 
 DESTINATION ${DATA_INSTALL_DIR}/kdenlive/effects)
+
+add_subdirectory(update)
