=== src/CMakeLists.txt ===
--- 
+++ 
@@ -5,11 +5,10 @@
 add_subdirectory(onmonitoritems)
 add_subdirectory(rotoscoping)
 add_subdirectory(widgets)
+add_subdirectory(databackup)
 
 macro_optional_find_package(Nepomuk)
 macro_optional_find_package(QJSON)
-include(FindQImageBlitz)
-
 
 include_directories(
   ${KDE4_INCLUDE_DIR}
@@ -35,15 +34,6 @@
   set(optional_libs ${NEPOMUK_LIBRARIES})
   add_definitions(-DNEPOMUK)
 endif(Nepomuk_FOUND)
-
-if(QIMAGEBLITZ_FOUND)
-  include_directories(QIMAGEBLITZ_INCLUDES)
-  set(optional_libs ${optional_libs} ${QIMAGEBLITZ_LIBRARIES})
-  add_definitions(-DQIMAGEBLITZ)
-  message(STATUS "Found QImageBlitz: ${QIMAGEBLITZ_LIBRARIES}")
-else(QIMAGEBLITZ_FOUND)
-  message(STATUS "Install QImageBlitz devel package for improved stopmotion features")
-endif(QIMAGEBLITZ_FOUND)
 
 if(QJSON_FOUND)
   include_directories(QJSON_INCLUDE_DIR)
@@ -134,6 +124,9 @@
   widgets/smconfig_ui.ui
   widgets/bezierspline_ui.ui
   widgets/monitoreditwidget_ui.ui
+  widgets/archivewidget_ui.ui
+  widgets/manageencodingprofile_ui.ui
+  widgets/backupdialog_ui.ui
 )
 
 set(kdenlive_SRCS
@@ -262,8 +255,6 @@
   audiosignal.cpp
   blackmagic/include/DeckLinkAPIDispatch.cpp
   stopmotion/stopmotion.cpp
-  stopmotion/capturehandler.cpp
-  blackmagic/capture.cpp
   blackmagic/devices.cpp
   onmonitoritems/onmonitorrectitem.cpp
   onmonitoritems/onmonitorcornersitem.cpp
@@ -279,35 +270,37 @@
   monitoreditwidget.cpp
   simplekeyframes/simpletimelinewidget.cpp
   simplekeyframes/simplekeyframewidget.cpp
+  noteswidget.cpp
+  archivewidget.cpp
+  mltdevicecapture.cpp
+  abstractmonitor.cpp
+  encodingprofilesdialog.cpp
 )
 
 add_definitions(${KDE4_DEFINITIONS})
 
-if(APPLE OR CMAKE_SYSTEM_NAME STREQUAL "FreeBSD" OR CMAKE_SYSTEM_NAME STREQUAL "NetBSD" OR NO_JOGSHUTTLE)
+if(CMAKE_SYSTEM_NAME STREQUAL "GNU/kFreeBSD")
+  add_definitions(-DQ_OS_KFREEBSD)
+endif(CMAKE_SYSTEM_NAME STREQUAL "GNU/kFreeBSD")
+
+if(APPLE OR CMAKE_SYSTEM_NAME STREQUAL "FreeBSD" OR CMAKE_SYSTEM_NAME STREQUAL "NetBSD" OR CMAKE_SYSTEM_NAME STREQUAL "GNU/kFreeBSD" OR NO_JOGSHUTTLE)
   add_definitions(-DNO_JOGSHUTTLE)
-else(APPLE OR CMAKE_SYSTEM_NAME STREQUAL "FreeBSD" OR CMAKE_SYSTEM_NAME STREQUAL "NetBSD" OR NO_JOGSHUTTLE)
+else(APPLE OR CMAKE_SYSTEM_NAME STREQUAL "FreeBSD" OR CMAKE_SYSTEM_NAME STREQUAL "NetBSD" OR CMAKE_SYSTEM_NAME STREQUAL "GNU/kFreeBSD" OR NO_JOGSHUTTLE)
   set(kdenlive_SRCS jogshuttle.cpp jogaction.cpp jogshuttleconfig.cpp ${kdenlive_SRCS})
-endif(APPLE OR CMAKE_SYSTEM_NAME STREQUAL "FreeBSD" OR CMAKE_SYSTEM_NAME STREQUAL "NetBSD" OR NO_JOGSHUTTLE)
+endif(APPLE OR CMAKE_SYSTEM_NAME STREQUAL "FreeBSD" OR CMAKE_SYSTEM_NAME STREQUAL "NetBSD" OR CMAKE_SYSTEM_NAME STREQUAL "GNU/kFreeBSD" OR NO_JOGSHUTTLE)
 
 if(APPLE OR OPENGL_FOUND)
   add_definitions(-DUSE_OPEN_GL)
   set(kdenlive_SRCS videoglwidget.cpp ${kdenlive_SRCS})
 endif(APPLE OR OPENGL_FOUND)
 
-if(NOT APPLE AND NOT CMAKE_SYSTEM_NAME STREQUAL "FreeBSD")
+if(NOT APPLE AND NOT CMAKE_SYSTEM_NAME STREQUAL "FreeBSD" AND NOT CMAKE_SYSTEM_NAME STREQUAL "GNU/kFreeBSD")
   set(kdenlive_SRCS
     ${kdenlive_SRCS}
     v4l/v4lcapture.cpp
     v4l/src.c
-    v4l/src_v4l2.c
-    v4l/dec_bayer.c
-    v4l/dec_grey.c
-    v4l/dec_jpeg.c
-    v4l/dec_rgb.c
-    v4l/dec_s561.c
-    v4l/dec_yuv.c
   )
-endif(NOT APPLE AND NOT CMAKE_SYSTEM_NAME STREQUAL "FreeBSD")
+endif(NOT APPLE AND NOT CMAKE_SYSTEM_NAME STREQUAL "FreeBSD" AND NOT CMAKE_SYSTEM_NAME STREQUAL "GNU/kFreeBSD")
 
 if(QJSON_FOUND)
   set(kdenlive_SRCS
@@ -325,6 +318,7 @@
 
 kde4_add_kcfg_files(kdenlive_SRCS kdenlivesettings.kcfgc)
 qt4_add_dbus_adaptor(kdenlive_SRCS org.kdenlive.MainWindow.xml mainwindow.h MainWindow)
+qt4_add_resources(kdenlive_SRCS widgets/resources.qrc)
 kde4_add_executable(kdenlive ${kdenlive_SRCS} ${kdenlive_UI})
 
 if(${KDE_VERSION} VERSION_LESS 4.3.80)
@@ -344,6 +338,7 @@
   ${KDE4_KROSSUI_LIBS}
   ${CMAKE_DL_LIBS}
   ${CMAKE_THREAD_LIBS_INIT}
+  ${QT_QTSCRIPT_LIBRARY}
 )
 
 if(Q_WS_X11)
@@ -369,4 +364,3 @@
 install(FILES kdenlive.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
 kde4_install_icons(${ICON_INSTALL_DIR})
 install(FILES kdenlive_titles.knsrc kdenlive_wipes.knsrc kdenlive_renderprofiles.knsrc kdenlive_projectprofiles.knsrc kdenlivetranscodingrc DESTINATION ${CONFIG_INSTALL_DIR})
-kde4_install_icons(${ICON_INSTALL_DIR})
