=== effects/update/CMakeLists.txt ===
INSTALL(FILES

frei0r.balanc0r.js
frei0r.cartoon.js
frei0r.curves.js
frei0r.levels.js
frei0r.lightgraffiti.js
frei0r.sopsat.js
frei0r.vertigo.js
DESTINATION ${DATA_INSTALL_DIR}/kdenlive/effects/update)
