=== po/ca/CMakeLists.txt ===
GETTEXT_PROCESS_PO_FILES(ca ALL INSTALL_DESTINATION share/locale/ kdenlive.po)
