=== debian/changelog ===
kdenlive (0.8.2.1-1ubuntu1) precise; urgency=low

  * Add glu_include.patch to fix FTBFS with Qt 4.8.

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 08 Feb 2012 15:22:04 +0100

kdenlive (0.8.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 11 Dec 2011 17:51:45 +0100
