=== debian/rules ===
--- 
+++ 
@@ -37,6 +37,10 @@
 	cd build && $(MAKE) -j $(NCPUS)
 	touch $@
 
+build-arch: build
+
+build-indep: build
+
 clean:
 	dh_testdir
 	dh_testroot
@@ -51,6 +55,7 @@
 	dh_testroot
 	dh_prep
 	cd build && $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
+	rm -f $(CURDIR)/debian/tmp/usr/share/doc/kde/HTML/*/kdenlive/common
 	cp $(CURDIR)/data/kdenlive.menu $(CURDIR)/debian/
 	dh_install --list-missing
