=== debian/watch ===
version=3
opts=dversionmangle=s/\+svn\d+// \
	http://sf.net/kdenlive/kdenlive-([\d.]*).tar.gz
