## kdenlive 0.9.2

=== debian/changelog ===
kdenlive (0.9.2-2ubuntu1) quantal; urgency=low

  *  For whatever reason, cmake has never been able to find GLES
     and consider it good enough for a GL requirement; since we
     build-dep on what we need anyway, just make GL optional.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 30 Jun 2012 13:09:19 -0600

kdenlive (0.9.2-2) unstable; urgency=low

  * Correct debian/watch file, the releases are now bzip2 compressed.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 02 Jun 2012 18:43:09 +0200

kdenlive (0.9.2-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 01 Jun 2012 18:32:50 +0200

kdenlive (0.9-1) unstable; urgency=low

  * New upstream release.
    - Enable localizations.
  * Adjust debian/watch to the new download location.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 15 May 2012 11:45:58 +0200

kdenlive (0.8.2.1+git20120513-1) unstable; urgency=low

  * New upstream git snapshot.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 13 May 2012 12:54:06 +0200

kdenlive (0.8.2.1+git20120422-1) unstable; urgency=low

  * New upstream git snapshot.
  * Bump build dependency on mlt back to 0.7.8.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 22 Apr 2012 12:51:42 +0200

kdenlive (0.8.2.1+git20120409-1) unstable; urgency=low

  * New upstream git snapshot.
  * Bump build dependency on mlt to 0.7.8+git20120409.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 09 Apr 2012 19:20:01 +0200

kdenlive (0.8.2.1+git20120406-1) unstable; urgency=low

  * New upstream git snapshot.
    - Remove merged patch 01-glu-include.
    - Localizations are not available in git snapshots.
  * Wrap all debian/control lines.
  * Remove obsolete README.Debian.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 06 Apr 2012 22:07:02 +0200

kdenlive (0.8.2.1-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.3 (no changes needed).
  * Add patch 01-glu-include from Felix Geyer to build with Qt 4.8.
    Closes: #662769

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 06 Mar 2012 23:27:59 +0100
