=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Homepage: http://www.kdenlive.org/
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 7),
  pkg-config,
  cmake,
  kdelibs5-dev,
- libmlt-dev (>= 0.7),
- libmlt++-dev (>= 0.7),
+ libmlt-dev (>= 0.7.8),
+ libmlt++-dev (>= 0.7.8),
  libavcodec-dev,
  libavformat-dev,
  libavdevice-dev,
@@ -24,10 +24,17 @@
 
 Package: kdenlive
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
+Depends: ${shlibs:Depends},
+ ${misc:Depends},
  kdenlive-data (= ${source:Version}),
- melt, ffmpeg
-Recommends: swh-plugins, dvgrab, frei0r-plugins, recordmydesktop, dvdauthor, genisoimage
+ melt,
+ ffmpeg
+Recommends: swh-plugins,
+ dvgrab,
+ frei0r-plugins,
+ recordmydesktop,
+ dvdauthor,
+ genisoimage
 Description: non-linear video editor
  Kdenlive is a non-linear video editing suite, which supports DV, HDC and much
  more formats.
@@ -61,7 +68,8 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: ${misc:Depends}, kdenlive (= ${binary:Version})
+Depends: ${misc:Depends},
+ kdenlive (= ${binary:Version})
 Description: non-linear video editor (debugging symbols)
  Kdenlive is a non-linear video editing suite, which supports DV, HDC and much
  more formats.
