## kdenlive 0.9.4

=== debian/changelog ===
kdenlive (0.9.4-1ubuntu1) raring; urgency=low

  * merge with debian, remaining change:
   - add opengl_optional.patch to make opengl optional, for ARM

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 07 Feb 2013 11:17:59 +0000

kdenlive (0.9.4-1) experimental; urgency=low

  * New upstream release.
  * Build against mlt version 0.8.8.
  * Migrate package to minimal debhelper rules.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 29 Jan 2013 09:30:26 +0100

kdenlive (0.9.2-4) experimental; urgency=low

  * Again some fixes for the long description. Thanks to Filipus Klutiero.
    Closes: #693180

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 12 Dec 2012 11:07:55 +0100

kdenlive (0.9.2-3) experimental; urgency=low

  * Bump Standards-Version to 3.9.4 (no changes needed).
  * Switch to xz compression and add a Pre-Depends on dpkg.
  * Fix long description. Thanks to Filipus Klutiero.
    Closes: #689995

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 12 Nov 2012 19:50:32 +0100
