=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DEB_BUILD_HARDENING=1

EXTRAFLAGS :=
ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
	EXTRAFLAGS := -DNO_JOGSHUTTLE=YES
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(EXTRAFLAGS)

override_dh_auto_clean:
	rm -f $(CURDIR)/debian/kdenlive.menu
	dh_auto_clean

override_dh_install:
	rm -f $(CURDIR)/debian/tmp/usr/share/doc/kde/HTML/*/kdenlive/common
	cp $(CURDIR)/data/kdenlive.menu $(CURDIR)/debian/
	dh_install

override_dh_strip:
	dh_strip --dbg-package=kdenlive-dbg

override_dh_builddeb:
	dh_builddeb -- -Zxz
