=== debian/watch ===
version=3
opts=dversionmangle=s/\+git\d+// \
	ftp://ftp.kde.org/pub/kde/stable/kdenlive/([\d.]+)/src/kdenlive-([\d.]+)\.tar\.bz2
